Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class RSS094Generator

    java.lang.Object
      com.sun.syndication.io.impl.BaseWireFeedGenerator
          com.sun.syndication.io.impl.RSS090Generator
              com.sun.syndication.io.impl.RSS091UserlandGenerator
                  com.sun.syndication.io.impl.RSS092Generator
                      com.sun.syndication.io.impl.RSS093Generator
                          com.sun.syndication.io.impl.RSS094Generator

All Implemented Interfaces:
  WireFeedGenerator

Direct Known Subclasses:
  RSS20Generator

    public class RSS094Generator

extends RSS093Generator

Feed Generator for RSS 0.94

Author:
  Elaine Chien

Constructor Summary
`` | `RSS094Generator()`
`protected` | `RSS094Generator(String feedType, String version)`

Method Summary
`protected void` | `populateItem(Item item, org.jdom.Element eItem, int index)`

Methods inherited from class com.sun.syndication.io.impl.RSS093Generator
`getNumberOfEnclosures`

Methods inherited from class com.sun.syndication.io.impl.RSS092Generator
`checkChannelConstraints, checkImageConstraints, checkItemConstraints, checkItemsConstraints, checkTextInputConstraints, generateCategoryElement, generateCloud, generateEnclosure, generateSourceElement, populateChannel`

Methods inherited from class com.sun.syndication.io.impl.RSS091UserlandGenerator
`addChannel, createDocument, createRootElement, generateSkipDaysElement, generateSkipHoursElement, getFeedNamespace, getVersion, isHourFormat24, populateFeed, populateImage`

Methods inherited from class com.sun.syndication.io.impl.RSS090Generator
`addImage, addItem, addItems, addTextInput, checkLength, checkNotNullAndLength, generate, generateSimpleElement, getContentNamespace, getRDFNamespace, getTextInputLabel, populateTextInput`

Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedGenerator
`generateFeedModules, generateForeignMarkup, generateItemModules, generateModuleNamespaceDefs, generatePersonModules, getType, purgeUnusedNamespaceDeclarations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSS094Generator

    public RSS094Generator()

### RSS094Generator

    protected RSS094Generator(String feedType,
                              String version)

Method Detail

### populateItem

    protected void populateItem(Item item,
                                org.jdom.Element eItem,
                                int index)

  Overrides:
    `populateItem` in class `RSS093Generator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.